Create more detailed descriptions of specifically interesting wishlist items
Closed, ResolvedPublic

Description

T119703 has a list of items that could be specifically interesting to work on for volunteer developers, especially at the Jerusalem Hackathon. We should create more specific descriptions of the tasks with assessments, so developers can get a better understanding of what's expected and what they're potentially taking on.

Related Objects

Johan created this task.Feb 1 2016, 8:59 PM
Johan updated the task description. (Show Details)
Johan raised the priority of this task from to Needs Triage.
Johan claimed this task.
Johan added a subscriber: Johan.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 1 2016, 8:59 PM
Johan triaged this task as Normal priority.
Johan set Security to None.
Johan renamed this task from Create more detailed descriptions on specifically interesting items to Create more detailed descriptions of specifically interesting items.EditedFeb 2 2016, 10:32 AM

Do we want to do this just in Phabricator or on Meta as well?

I created a page on Meta we could use as a sort of template: Community Tech/Improve date range searches on Special:Contributions in Category:2015 Community Wishlist recommended projects.

Create better descriptions of tasks we think people might be specifically interested in.

Could you please clarify what this task is about?
(Per last comment I assume this is related to the Community Wishlist?)

DannyH added a subscriber: DannyH.Feb 2 2016, 6:11 PM
Johan updated the task description. (Show Details)Feb 2 2016, 7:58 PM
Johan added a comment.Feb 2 2016, 8:00 PM

Could you please clarify what this task is about?

Sorry, should have known better. Done now.

Johan renamed this task from Create more detailed descriptions of specifically interesting items to Create more detailed descriptions of specifically interesting wishlist items.Feb 2 2016, 8:29 PM
Qgil added a subscriber: Qgil.Feb 3 2016, 7:59 AM

Before investing time writing more detailed descriptions, we should check which tasks from T119703: Goal: Connect the priorities of the Community Wishlist and other tech priorities with the Wikimedia Hackathon 2016 have already developers interested. Those developers might not need the expanded descriptions, or may be the ones to expand them in order to figure out their work and/or find other developers to help.

Johan added a comment.Feb 3 2016, 10:47 AM

Good point. Thanks.

DannyH added a comment.Feb 3 2016, 5:37 PM

Quim, have people signed up to work on any of the wishlist items so far? I think this came up in our meeting yesterday, but I can't remember what the conclusion was.

Qgil added a comment.Feb 4 2016, 9:54 AM

Yes, and as far as I'm aware @Johan, @Quiddity, and @Aklapper have access to the spreadsheet.

Johan added a subscriber: Rfarrand.Feb 4 2016, 10:33 AM

@DannyH: I have a rough list of wishlist items that have drawn the interest of people who signed up for the Jerusalem Hackathon. I'm just checking a few things with @Rfarrand.

Johan added a comment.Feb 5 2016, 9:47 AM

Here's approximately what people have mentioned when they signed up for the hackathon. Please note that many of those who signed up have requested full scholarships, so it is very possible they won't have the opportunity to come if they don't get those. If more than one has mentioned it, I've put a number within brackets. If (*) comes after a ticket, it has only been mentioned together with a fairly large number of other tickets, so it has a small share of one persons interest.

Top 10
https://phabricator.wikimedia.org/T8948 [2] (one as "Numerical sorting in categories")
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Bots_and_gadgets#Improve_the_.22copy_and_paste_detection.22_bot [2]
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Bots_and_gadgets#Migrate_dead_links_to_Wayback_Machine
https://phabricator.wikimedia.org/T120451
https://phabricator.wikimedia.org/T120497
https://phabricator.wikimedia.org/T121470 [2]
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Miscellaneous#Pageview_Stats_tool

Specific interest
https://phabricator.wikimedia.org/T120733 [2]
https://phabricator.wikimedia.org/T120788
https://phabricator.wikimedia.org/T120454
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Notifications#Modify_.22Thank_you.22_so_we_can_thank_anonymous_editors
https://phabricator.wikimedia.org/T120475 [3]
https://phabricator.wikimedia.org/T22307 [2]
https://phabricator.wikimedia.org/T109561 [2]
https://phabricator.wikimedia.org/T120738

Others
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Miscellaneous#Technical_user_right_to_edit_summaries
https://phabricator.wikimedia.org/T120439
https://phabricator.wikimedia.org/T48580 [2]
https://phabricator.wikimedia.org/T120766
https://phabricator.wikimedia.org/T28059 [2]
https://phabricator.wikimedia.org/T120453
https://phabricator.wikimedia.org/T120499
https://phabricator.wikimedia.org/T120787 [3]
https://phabricator.wikimedia.org/T109561
https://phabricator.wikimedia.org/T2674
https://phabricator.wikimedia.org/T120478 [3]
https://phabricator.wikimedia.org/T120746
https://phabricator.wikimedia.org/T120487 (*)
https://phabricator.wikimedia.org/T31923 (*)
https://phabricator.wikimedia.org/T118073 (*)
https://phabricator.wikimedia.org/T120502 (*)
https://phabricator.wikimedia.org/T120748 (*)
https://phabricator.wikimedia.org/T120759 (*)
https://phabricator.wikimedia.org/T88620 (*)
https://phabricator.wikimedia.org/T120734 (*)
https://phabricator.wikimedia.org/T112987

This could contain a mistake or two; I prioritized not spending too much time creating this list given that we can't, yet, be reasonably sure they are coming.

DannyH added a comment.EditedFeb 5 2016, 8:44 PM

I'm going to copy over the list from T119703, just for reference here:

#13: T120454: Dark archive for Commons
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Commons#Dark_archive

#15: T120733: Improve date range searches on Special:Contributions Well scoped, clearly defined, minimal design.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#Improve_date_range_searches_on_Special:Contributions

#21: T120462: Reduce edit conflicts by treating different parts of the page as separate A very open-ended, vague proposal, but there's a small chunk that would be perfect: "Treat the addition of a template at the top of an article or a category at the end as not conflicting with the alteration of the contents in between." There's also possible room for creative devs to figure other small-scale, non-controversial improvements along those lines. Improvements here likely will also benefit T121469: Improve diff compare screen.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Halve_edit_conflicts

#22: T63022: Add ability to thank anonymous/IP users Well-scoped, clearly defined.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Notifications#Modify_.22Thank_you.22_so_we_can_thank_anonymous_editors

#24: T120475: Make it easier to cite different pages from a book as one reference Well-scoped, an interesting and helpful project.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Make_it_easier_to_cite_different_pages_from_a_book_as_one_reference

#25: T120788: Tool to use Google OCRs in Indic language Wikisource
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikisource#Tool_to_use_Google_OCRs_in_Indic_language_Wikisource

#27: T109561: Provide a means of searching for deleted pages Well-defined, would be very useful for admins.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Search#Provide_a_means_of_searching_for_deleted_pages

#36: T120756: Reading List
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Reading#Reading_List

#43: T22307: Generate automatic summary /* blah */ when I manually add a section heading when editing Well-defined, not controversial, could be very helpful.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Generate_automatic_summary_.2F.2A_blah_.2A.2F_when_I_manually_add_a_section_heading_when_editing

#47: T120478: Page contributors as a prototype. Might need design help and community approval later, but a working prototype would help.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Page_contributors

#58: T120738: List of content contributors
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#List_of_contributors

DannyH added a comment.Feb 5 2016, 9:00 PM

For folks who want to work on top 10 wishes, what should we tell them?

There are a couple where I bet Hackathon participants could be helpful:

#5: T8948: Natural number sorting in category listings

#9: T120435: Improve the plagiarism detection bot

But "Migrate dead links to the Wayback Machine" and "Pageview stats tool" already have way too many cooks in the kitchen, and "Global repository for templates" and "Allow categories in Commons in all languages" are dependent on other teams.

Should we send them a link to the status report?
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Status_report_1

Or ask them to look at the list I posted above?

DannyH added a comment.Feb 5 2016, 9:13 PM

Happily, the ones that @Johan listed as Specific Interest are all from the list of projects we chose as suitable for Hackathon development:

#13: T120454: Dark archive for Commons
#15: T120733: Improve date range searches on Special:Contributions
#22: T63022: Add ability to thank anonymous/IP users
#24: T120475: Make it easier to cite different pages from a book as one reference
#25: T120788: Tool to use Google OCRs in Indic language Wikisource
#27: T109561: Add non-exact title search to Special:Undelete and corresponding API
#43: T22307: Generate automatic summary /* blah */ when I manually add a section heading when editing
#58: T120738: List of content contributors

That's 8 out of 11, which is great.

The ones you listed as "Others" include some that probably need a good amount of investigation prep ahead of time, some that probably need community/staff consultation before deploying, and some that just seem huge (like image searches on Commons). It's likely that some of the volunteers know more than I do about what is or isn't possible, so my armchair assessment could be wrong. What kind of guidance are we giving to people about what to choose?

Johan added a comment.Feb 5 2016, 9:43 PM

I would wait a little bit before investing more time in this, to see if they are actually going to attend the Hackathon.

General answers though: if there are very good reasons against picking a project, I suppose we should explain that. If they decide to ignore us or decide we're mistaken, well, that's their decision, but we've at least made an attempt to save their time if we think we have strong reasons to suspect it would be better spent on something else.

Johan closed this task as Resolved.
Johan moved this task from Backlog to Archive on the User-Johan board.Apr 2 2016, 8:29 AM